Get Project
GET/projects/:id
Get Project
Request
Path Parameters
unique identifier of the project
Query Parameters
The requested API version
1Responses
- 200
- 204
- 400
- 404
- 500
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
metadata
object
Project id
Project name
Project tag list
Id of the user who created the project
Creation date
Id of the user owner
properties
object
Optional description of the project
Indicates if it's the default project
Number of resources created within the project
Folder ID where the project is located
{
"metadata": {
"id": "string",
"name": "string",
"tags": [
"string"
],
"createdBy": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"ownerId": "string"
},
"properties": {
"description": "string",
"default": true,
"resourcesNumber": 0,
"folderId": "string"
}
}
- Schema
- Example (from schema)
Schema
metadata
object
Project id
Project name
Project tag list
Id of the user who created the project
Creation date
Id of the user owner
properties
object
Optional description of the project
Indicates if it's the default project
Number of resources created within the project
Folder ID where the project is located
{
"metadata": {
"id": "string",
"name": "string",
"tags": [
"string"
],
"createdBy": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"ownerId": "string"
},
"properties": {
"description": "string",
"default": true,
"resourcesNumber": 0,
"folderId": "string"
}
}
- Schema
- Example (from schema)
Schema
metadata
object
Project id
Project name
Project tag list
Id of the user who created the project
Creation date
Id of the user owner
properties
object
Optional description of the project
Indicates if it's the default project
Number of resources created within the project
Folder ID where the project is located
{
"metadata": {
"id": "string",
"name": "string",
"tags": [
"string"
],
"createdBy": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"ownerId": "string"
},
"properties": {
"description": "string",
"default": true,
"resourcesNumber": 0,
"folderId": "string"
}
}
No Content
Bad Request
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Not Found
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Internal Server Error